org.codehaus.groovy.runtime.typehandling

## Class BigDecimalMath

- java.lang.Object
- - org.codehaus.groovy.runtime.typehandling.NumberMath
  - - org.codehaus.groovy.runtime.typehandling.BigDecimalMath

-     public final class BigDecimalMath
      extends NumberMath

  BigDecimal NumberMath operations

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIVISION_EXTRA_PRECISION`
    `static int` | `DIVISION_MIN_SCALE`
    `static BigDecimalMath` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Number` | `absImpl(java.lang.Number number)`
    `java.lang.Number` | `addImpl(java.lang.Number left, java.lang.Number right)`
    `int` | `compareToImpl(java.lang.Number left, java.lang.Number right)`
    `java.lang.Number` | `divideImpl(java.lang.Number left, java.lang.Number right)`
    `java.lang.Number` | `multiplyImpl(java.lang.Number left, java.lang.Number right)`
    `java.lang.Number` | `subtractImpl(java.lang.Number left, java.lang.Number right)`
    `protected java.lang.Number` | `unaryMinusImpl(java.lang.Number left)`

    - ### Methods inherited from class org.codehaus.groovy.runtime.typehandling.NumberMath

      `abs, add, and, andImpl, compareTo, createUnsupportedException, divide, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isFloatingPoint, isInteger, isLong, leftShift, leftShiftImpl, mod, modImpl, multiply, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, toBigDecimal, toBigInteger, unaryMinus, xor, xorImpl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIVISION_EXTRA_PRECISION

          public static final int DIVISION_EXTRA_PRECISION

      See Also:
        Constant Field Values

    - #### DIVISION_MIN_SCALE

          public static final int DIVISION_MIN_SCALE

      See Also:
        Constant Field Values

    - #### INSTANCE

          public static final BigDecimalMath INSTANCE

  - ### Method Detail

    - #### absImpl

          protected java.lang.Number absImpl(java.lang.Number number)

      Specified by:
        `absImpl` in class `NumberMath`

    - #### addImpl

          public java.lang.Number addImpl(java.lang.Number left,
                                 java.lang.Number right)

      Specified by:
        `addImpl` in class `NumberMath`

    - #### subtractImpl

          public java.lang.Number subtractImpl(java.lang.Number left,
                                      java.lang.Number right)

      Specified by:
        `subtractImpl` in class `NumberMath`

    - #### multiplyImpl

          public java.lang.Number multiplyImpl(java.lang.Number left,
                                      java.lang.Number right)

      Specified by:
        `multiplyImpl` in class `NumberMath`

    - #### divideImpl

          public java.lang.Number divideImpl(java.lang.Number left,
                                    java.lang.Number right)

      Specified by:
        `divideImpl` in class `NumberMath`

    - #### compareToImpl

          public int compareToImpl(java.lang.Number left,
                          java.lang.Number right)

      Specified by:
        `compareToImpl` in class `NumberMath`

    - #### unaryMinusImpl

          protected java.lang.Number unaryMinusImpl(java.lang.Number left)

      Specified by:
        `unaryMinusImpl` in class `NumberMath`